Skip to main content
POST
/
api
/
data-exporter
/
bootstrap
Issue Azure file-share credentials for a data exporter client
curl --request POST \
  --url https://app.solya.app/api/data-exporter/bootstrap \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "licenseKey": "LK-ABCDEF1234567890GHIJ",
  "organizationId": "org-uuid-001"
}
'
{
  "azure": {
    "blobPrefix": "organizations/org-uuid-001/data-archives",
    "fileShareName": "org-org-uuid-001",
    "storageAccountKey": "<redacted-storage-account-key>",
    "storageAccountName": "solyaexports",
    "uncPath": "\\\\solyaexports.file.core.windows.net\\org-org-uuid-001"
  },
  "organization": {
    "id": "org-uuid-001",
    "name": "Solya Fashion Group"
  }
}

Authorizations

Authorization
string
header
required

User session token issued by NextAuth. For human users accessing Solya via the web application.

Body

application/json
licenseKey
string
required

License key issued to the organization for the data-exporter Windows client. Minimum 20 characters.

Minimum string length: 20
organizationId
string
required

Organization identifier. Combined with the license key for two-factor validation.

Minimum string length: 1

Response

Successful response

data
object
required
success
enum<boolean>
required
Available options:
true